Error in dpkg --configure -a and apt install of pepperflash

I have a dell inspiron 14-3467, Zorin Os Lite 15.3. I wanted to install the Opera Browser and the installation was interrupted. It asks me to run:

sudo dpkg --configure -a

and the machine stays frozen:

Setting up pepperflashplugin-nonfree (1.8.3+nmu1ubuntu1).....

When I run dpkg --list I get this:

iF  pepperflashplugin-nonfree 1.8.3+nmu1ubuntu1 amd64             Pepper Flash Player - browser plugin

If I run sudo apt-get install -f it also freezes in:

 Setting up pepperflashplugin-nonfree (1.8.3+nmu1ubuntu1).....

How can I solve it? Is there a way to eliminate pepperflash or is it necessary to have it?

Opera Installation package broke due to interruption.
Try running

sudo apt --fix-broken install

This may simply REMOVE the Opera Package, but either way, it will get you moving again. You can then install Opera without the interruption.

Is Opera any good? I tried Vivaldi and it was great for a while… But not anymore. And I’d like to kick FF to the curb. I have tried Brave Browser, too.

I use Opera on that other OS and in the past used it on my old mobile (cellphone), but not installed it on Zorin. It is quite good IMO, but I still use FF as my daily driver. Opera is Chromium based, as you will no doubt already know.